--[[
 -- @Description:
 -- Hello , DiaoSi ~ ( or not ? ) ,glad you saw my comment
 -- If you think my mod is okay , you can sponsor my breakfast by a tiny amount donation  ($_$)
 -- paypal:td1madao@163.com     alipay:td1madao@163.com
 -- If any question ,Please email me
 -- What's more ,don't modify and republish my mods . 3Q for cooperation
 -- What's more ,don't modify and republish my mods . 3Q for cooperation
 -- What's more ,don't modify and republish my mods . 3Q for cooperation
 -- @version 1.0.0
 -- @author td1madao
 -- @email td1madao@163.com
 -- @qq 360810498
 -- @date 16/8/6
 ]]
TUNING.TD1MADAO_RIVENDST_Q = GetModConfigData("key1") or 122
TUNING.TD1MADAO_RIVENDST_W = GetModConfigData("key2") or 120
TUNING.TD1MADAO_RIVENDST_E = GetModConfigData("key3") or 99
TUNING.TD1MADAO_RIVENDST_R = GetModConfigData("key4") or 118
TUNING.TD1MADAO_RIVENDST_SMART_CAST = GetModConfigData("SmartCast") or 0
local function getKey(num)
    for i, v in pairs(TUNING.TD1MADAO_KEYCODE) do
        if v == num then
            return string.td1madao_replaceAll(i, "_", "")
        end
    end
    return "nil"
end

TUNING.TD1MADAO_RIVENDST_Q_DESC = getKey(TUNING.TD1MADAO_RIVENDST_Q)
TUNING.TD1MADAO_RIVENDST_W_DESC = getKey(TUNING.TD1MADAO_RIVENDST_W)
TUNING.TD1MADAO_RIVENDST_E_DESC = getKey(TUNING.TD1MADAO_RIVENDST_E)
TUNING.TD1MADAO_RIVENDST_R_DESC = getKey(TUNING.TD1MADAO_RIVENDST_R)